Bug 35599 - Join misses because of length of NetBIOS Name
Join misses because of length of NetBIOS Name
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-12 12:04 CEST by Ulf Friedel
Modified: 2014-09-10 17:45 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulf Friedel 2014-08-12 12:04:00 CEST
http://technet.microsoft.com/en-us/library/active-directory-maximum-limits-scalability%28v=ws.10%29.aspx#BKMK_NameLimits

The NetBIOS is limited to 15 characters, but by installing an UCS system you can only enter a windows domain name of a length of 14 characters.

An join by using Active Directory Connection may be impossible, if the NetBIOS name of an windows domain has exactly 15 characters, because windows domain name an NetBIOS name have to be the same at joining.
Comment 1 Dirk Ahrnke 2014-08-12 12:12:30 CEST
Note: http://docs.univention.de/manual-3.2.html#installation:Domain_settings claims that the max length for a Windows domain is 13 characters which is wrong too.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-08-14 20:21:00 CEST
(In reply to Dirk Ahrnke from comment #1)
> Note: http://docs.univention.de/manual-3.2.html#installation:Domain_settings
> claims that the max length for a Windows domain is 13 characters which is
> wrong too.

13 is the current limit in UCS, we explicitly changed the documentation in Bug 31688
Comment 3 Dirk Ahrnke 2014-08-14 21:46:58 CEST
(In reply to Moritz Muehlenhoff from comment #2)
> 
> 13 is the current limit in UCS, we explicitly changed the documentation in
> Bug 31688

We have noticed at least Bug 30225. It deals with the DC name, not the domain name (and links to a Technet Article which mentions the limit of 15 characters). There may be other limits in Samba 4 but I was not able to find a related documentation.

However, the installer currently in fact allows 14 characters. I verified it with a 3.2-2 ISO using TESTATESTBTEST as a "Windows Domain Name". "TESTATESTBTESTC" was rejected with "The length ... is greater than 14 characters".
Comment 4 Arvid Requate univentionstaff 2014-09-01 16:26:03 CEST
After digging through the ancient svn and bugzilla logs:

* The limit of 14 for the netbios domain was introduced to the installer as a fix for Bug 7457 to work around a samba logon problem.

* The limit of 13 for the hostname was introduced to the installer as a fix for Bug 27307 to work around a samba join problem.

1. I'll re-check both restrictions

2. If we decide to change something about the hostname limits as well (which is not subject of the initial bug report), then we should fix this in univention-system-setup (Bug 27854) and ucs-school-umc-wizards (Bug 30225).
Comment 5 Arvid Requate univentionstaff 2014-09-03 18:27:03 CEST
The tests have been successful:

 * Netbios join of XP against Samba3 and user logon
 * join of Windows 7 via the DNS domain name against Samba4 and user logon.

I couldn't get Windows 7 to join via Netbios name into Samba4, not even with a short domain name, so I couldn't test that.

I now only raised the limit for the domain name, not for the hostname.


Advisory: 2014-08-28-univention-system-setup.yaml

PS: This should also be fixed in the installer (Bug 35810) at some point.
Comment 6 Felix Botner univentionstaff 2014-09-04 16:24:00 CEST
OK - join with winxp against samba3 and winxp/win7 against samba4 works with a 
     windows/domain Name with 15 characters.
OK - merged to 4.0

OK - YAML
Comment 7 Janek Walkenhorst univentionstaff 2014-09-10 17:45:51 CEST
http://errata.univention.de/ucs/3.2/204.html